Bug 197674 - CVE-2006-2935 Possible buffer overflow in DVD handling
CVE-2006-2935 Possible buffer overflow in DVD handling
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=moderate,source=kernelbugzilla...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2006-07-05 09:49 EDT by Marcel Holtmann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0012
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 05:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-07-05 09:49:37 EDT
Reported by Marcus Meissner to the Kernel Bugzilla:

http://bugzilla.kernel.org/show_bug.cgi?id=2966

The dvd_read_bca() function in drivers/cdrom/cdrom.c shows a potential buffer
overflow. 
 
The variable buf[4+188] is allocated on the stack, however cgc.cmd[9] and
cgc.buflen are set to 255:

cgc.cmd[9] = cgc.buflen = 0xff;
 
This can be exploited by a custom made USB Storage device and used for local
privilege escalation (aka plug-in this USB device to get root).

This function has been introduced in 2.2.16 (back in 2000) and as of today it
hasn't changed. Jens Axboe confirmed that this is a typo and it should read:

cgc.cmd[9] = cgc.buflen & 0xff;

It is to mask high bits of the length. It doesn't use the high 8 bits for
transfer length, since we are always < 256 for this case.
Comment 4 Mike Gahagan 2006-12-19 18:00:31 EST
There is no practical way to reproduce this that I'm aware of, however I have
verified that the fix is in.

Comment 6 Red Hat Bugzilla 2007-01-17 05:51:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0012.html

Note You need to log in before you can comment on or make changes to this bug.